function fft_ex1_CPUtoGPU()

tic;
% generate signal
sampleFreq = 1000;
sampleTime = 1/sampleFreq;
numSamples = 2^23;
timeVec    = (0:numSamples-1) * sampleTime ;
freq1      = 2 * pi * 50;
freq2      = 2 * pi * 120;
signalcpu    = sin( freq1 .* timeVec ) + sin( freq2 .* timeVec );

% add noise
signalcpu  = signalcpu + 2 * randn( size( timeVec ));
signal = gpuArray(signalcpu);
plot( signalcpu(1:100) );
title( 'Noisy time-domain signal' );
xlabel('t')

% perform spectral analysis (in GPU, since signal is a gpuArray!)
transformedSignal = fft( signal );

%Compute the Power Spectral Density
powerSpectrum = transformedSignal .* conj(transformedSignal) ./ numSamples;

% Display the power spectral density
frequencyVector = sampleFreq/2 * linspace( 0, 1, numSamples/2 + 1 );

figure
plot( frequencyVector, real(powerSpectrum(1:numSamples/2+1)) );
title( 'Power spectral density' );
xlabel( 'Frequency (Hz)' );
GPUtime = toc;

fprintf('Total time taken with GPU when copying from CPU %2.3fs \n',GPUtime)